alert('با توجه به اینکه فیگما روی برکپوینت 1440 طراحی شده . برای مشاهده دقیق به صورت فیگما رزولوشن مرورگر رو روی 1440 تنظیم کنید ')



let flagBox = document.querySelector('.js-do-flag')
if (flagBox) {
    flagBox.querySelectorAll('select option').forEach(item => {
        if (item.selected) {
            let selectedFlag = item.getAttribute('data-flag');
            flagBox.querySelector(`.flag img.${selectedFlag}`).classList.remove('d-none')
        }
        item.addEventListener('click', function () {
            flagBox.querySelectorAll('.flag img').forEach(delActive => {
                delActive.classList.add('d-none')
            })
            if (item.selected) {
                let selectedFlag = item.getAttribute('data-flag');
                flagBox.querySelector(`.flag img.${selectedFlag}`).classList.remove('d-none')
            }
        })
    })
}
